## xfce4-notifyd 0.9.7

=== meson_options.txt ===
option(
  'helper-path-prefix',
  type: 'string',
  value: '',
  description: 'Path prefix under which helper executables will be installed (default: $libdir)',
)

option(
  'x11',
  type: 'feature',
  value: 'auto',
  description: 'Support for the X11 windowing system',
)

option(
  'wayland',
  type: 'feature',
  value: 'auto',
  description: 'Support for the Wayland windowing system',
)

option(
  'sound',
  type: 'feature',
  value: 'auto',
  description: 'Support for notification sounds',
)

option(
  'dbus-start-daemon',
  type: 'boolean',
  value: true,
  description: 'Whether or not to install the D-Bus service activation files',
)

option(
  'dbus-service-dir',
  type: 'string',
  value: '',
  description: 'Specifies the directory where D-Bus service activation files should be installed (default=${datadir}/dbus-1/services)',
)

option(
  'systemd',
  type: 'feature',
  value: 'auto',
  description: 'Whether or not to install systemd user service files',
)

option(
  'systemd-user-service-dir',
  type: 'string',
  value: '',
  description: 'Specifies the directory where systemd user services should be installed (default=${prefix}/lib/systemd/user)',
)

option(
  'xdg-autostart',
  type: 'boolean',
  value: true,
  description: 'Whether or not to install the XDG autostart file',
)

option(
  'tests',
  type: 'boolean',
  value: false,
  description: 'Whether or not to build test programs',
)

## xfce4-notifyd 0.1.0

=== debian/changelog ===
xfce4-notifyd (0.1.0-5fakesync1) maverick; urgency=low

  * Fake-sync with Debian unstable (different orig tarballs).

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Wed, 14 Jul 2010 16:48:22 +0200

xfce4-notifyd (0.1.0-5) unstable; urgency=low

  [ Evgeni Golov ]
  * Fix Vcs-* fields, they were missing 'trunk' in the path.

  [ Yves-Alexis Perez ]
  * debian/patches:
    - 02_add-spec-version-to-GetServerInformation added, returns spec version
    information so we're conform to 1.0      .                  closes: #588272
  * switch source format to 3.0 (quilt).
  * debian/rules:
    - add .pc files to POTFILES.skip.
    - drop quilt addon call and rules.
  * debian/control:
    - update standards version to 3.9.0.
    - bump debhelper build-dep to 7.0.50~ for overrides.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 07 Jul 2010 22:38:41 +0200

xfce4-notifyd (0.1.0-4ubuntu1) karmic; urgency=low

  * Fake-sync with Debian unstable (different orig tarballs):
    - Closes "xfce4-notifyd causes Banshee player to crash" (LP: #377441).

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Thu, 21 May 2009 12:41:16 +0200

xfce4-notifyd (0.1.0-4) unstable; urgency=low

  * debian/patches/01_send-second-arg-notification-closed.patch:
    Now really send the reason argument with NotificationClosed. closes: 522729

 -- Evgeni Golov <evgeni@debian.org>  Sun, 10 May 2009 21:43:20 +0200

xfce4-notifyd (0.1.0-3) unstable; urgency=low

  [ Evgeni Golov ]
  * Update my e-mail address.

  [ Yves-Alexis Perez ]
  * debian/patches
    - 01_send-second-arg-notification-closed added, correctly send two
      arguments with NotificationClosed.                         closes: 522729
  * debian/rules:
    - simplify tiny.rules for debhelper 7.
  * debian/control:
    - add build-dep on quilt (with --with-quilt support in the rule).

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 10 May 2009 18:14:08 +0200

xfce4-notifyd (0.1.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - move to xfce section.
    - update standards version to 3.8.1.
    - update build-deps to Xfce 4.6. 

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Apr 2009 02:24:22 +0200

xfce4-notifyd (0.1.0-0ubuntu1) jaunty; urgency=low

  * Merge from pkg-xfce UNRELEASED; this package can
    be synced once it has been uploaded to Debian.
  * Upstream tarball has been repackaged to fix a COPYING
    problem, COPYING contained the wrong license. This
    will be fixed in the next upstream release.

 -- Jérôme Guelfucci <jerome.guelfucci@gmail.com>  Sun, 15 Feb 2009 12:36:28 +0100

xfce4-notifyd (0.1.0-1) experimental; urgency=low

  [ Evgeni Golov ]
  * Initial release.                                        closes: #506864

  [ Yves-Alexis Perez ]
  * debian/control:
    - add pkg-xfce team to Uploaders:
    - add build-dep on libxfconf-0-dev.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 01 Mar 2009 00:27:40 +0100

=== debian/control ===
Source: xfce4-notifyd
Section: xfce
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Evgeni Golov <evgeni@debian.org>, 
 Yves-Alexis Perez <corsac@debian.org>, Emanuele Rocca <ema@debian.org>, 
 Simon Huggins <huggie@earth.li>          
Build-Depends: debhelper (>= 7.0.50~), intltool,
 libxfcegui4-dev (>= 4.6.0), libxfce4util-dev (>= 4.6.0),
 libdbus-1-dev, libdbus-glib-1-dev, libglade2-dev, libsexy-dev,
 exo-utils, libxfconf-0-dev
Standards-Version: 3.9.0
Homepage: http://spuriousinterrupt.org/projects/xfce4-notifyd
Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/xfce4-notifyd/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/xfce4-notifyd/


Package: xfce4-notifyd
Section: xfce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: notification-daemon, notification-daemon-xfce
Provides: notification-daemon
Description: simple, visually-appealing notification daemon for Xfce
 Xfce4-notifyd is a simple, visually-appealing notification daemon for Xfce
 that implements the Freedesktop.org Desktop Notifications Specification.
 .
 Features:
  * Themable using the GTK+ theming mechanism
  * Visually appealing: rounded corners, shaped windows
  * Supports transparency and fade effects

=== debian/rules ===
#!/usr/bin/make -f
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

override_dh_auto_configure:
	dh_auto_configure -- --enable-maintainer-mode
	find .pc -type f -name '*.c' -exec echo '{}' >> po/POTFILES.skip \;

override_dh_auto_clean:
	rm -f po/POTFILES.skip
	dh_auto_clean

%:
	dh $@

## xfce4-notifyd 0.2.0

=== debian/changelog ===
xfce4-notifyd (0.2.0-0ubuntu1) natty; urgency=low

  * Upload to natty (pkg-xfce svn r4589), no Ubuntu changes.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 27 Nov 2010 20:55:11 +0100

xfce4-notifyd (0.2.0-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/control:
    - convert libxfcegui4-dev build-dep to libxfce4ui-dev.
    - update standards version to 3.9.1.
    - add build-dep on hardening-includes.
    - drop libsexy and libglade from build-deps.
  * debian/rules:
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add -z,defs, --as-needed and -O1 to LDFLAGS.
    - add hardening flags to {C,LD}FLAGS
    - drop the overrides since we don't need to patch POTFILES.skip anymore.
  * debian/patches:
    - 01_send-second-arg-notification-closed dropped, xfce4-notifyd has been
      ported to libnotify 0.4.5.
    - 02_add-spec-version-to-GetServerInformation dropped as well, included
      upstream.
  * debian/copyright updated for new release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 27 Nov 2010 15:49:44 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  Yves-Alexis Perez <corsac@debian.org>, Emanuele Rocca <ema@debian.org>, 
  Simon Huggins <huggie@earth.li>          
 Build-Depends: debhelper (>= 7.0.50~), intltool,
- libxfcegui4-dev (>= 4.6.0), libxfce4util-dev (>= 4.6.0),
- libdbus-1-dev, libdbus-glib-1-dev, libglade2-dev, libsexy-dev,
- exo-utils, libxfconf-0-dev
-Standards-Version: 3.9.0
+ libxfce4ui-1-dev, libxfce4util-dev (>= 4.6.0),
+ libdbus-1-dev, libdbus-glib-1-dev, exo-utils, libxfconf-0-dev, 
+ hardening-includes
+Standards-Version: 3.9.1
 Homepage: http://spuriousinterrupt.org/projects/xfce4-notifyd
 Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/xfce4-notifyd/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/xfce4-notifyd/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS) -Wl,-z,defs -Wl,--as-needed -Wl,-O1
CFLAGS+=$(HARDENING_CFLAGS)

%:
	dh $@

=== debian/watch ===
version=3
http://archive.xfce.org/src/apps/xfce4-notifyd/([\d\.]+)/ \
	xfce4-notifyd-([\d\.]+)\.tar\.(?:gz|bz2)

## xfce4-notifyd 0.2.1

=== debian/changelog ===
xfce4-notifyd (0.2.1-2) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * Upload to unstable.
  * debian/control:
    - add myself to Uploaders.
    - remove Simon and Emanuele from uploaders, thanks to them.
    - bump b-deps for Xfce 4.8.

  [ Yves-Alexis Perez ]
  * debian/control:
    - add a recommends on libnotify-bin for the theme changes to be previewed.
    - update standards version to 3.9.2. 

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 20 Apr 2011 12:44:46 +0200

xfce4-notifyd (0.2.1-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - convert libxfcegui4-dev build-dep to libxfce4ui-dev.
    - update standards version to 3.9.1.
    - add build-dep on hardening-includes.
    - drop libsexy and libglade from build-deps.
  * debian/rules:
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add -z,defs, --as-needed and -O1 to LDFLAGS.
    - add hardening flags to {C,LD}FLAGS
    - drop the overrides since we don't need to patch POTFILES.skip anymore.
  * debian/patches:
    - 01_send-second-arg-notification-closed dropped, xfce4-notifyd has been
      ported to libnotify 0.4.5.
    - 02_add-spec-version-to-GetServerInformation dropped as well, included
      upstream.
  * debian/copyright updated for new release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 27 Feb 2011 15:10:42 +0100

=== debian/control ===
Source: xfce4-notifyd
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Evgeni Golov <evgeni@debian.org>,
 Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), intltool,
 libxfce4ui-1-dev, libxfce4util-dev (>= 4.8.0), libdbus-1-dev,
 libdbus-glib-1-dev, exo-utils, libxfconf-0-dev (>= 4.8.0), hardening-includes
Standards-Version: 3.9.2
Homepage: http://spuriousinterrupt.org/projects/xfce4-notifyd
Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/xfce4-notifyd/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/xfce4-notifyd/


Package: xfce4-notifyd
Section: xfce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: notification-daemon, notification-daemon-xfce
Provides: notification-daemon
Recommends: libnotify-bin
Description: simple, visually-appealing notification daemon for Xfce
 Xfce4-notifyd is a simple, visually-appealing notification daemon for Xfce
 that implements the Freedesktop.org Desktop Notifications Specification.
 .
 Features:
  * Themable using the GTK+ theming mechanism
  * Visually appealing: rounded corners, shaped windows
  * Supports transparency and fade effects

## xfce4-notifyd 0.2.2

=== debian/changelog ===
xfce4-notifyd (0.2.2-2ubuntu1) quantal; urgency=low

  * Resync with Debian unstable.

  * debian/patches:
    - 02_fix-desktop-category.patch: added, let xfce4-notifyd-config appear
      in xfce4-settings 4.9.x/4.10.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 19 May 2012 20:00:37 +0200

xfce4-notifyd (0.2.2-2) unstable; urgency=low

  * debian/patches:
    - 01_fix-dismiss-notifications added, backported from upstream. Correctly
      dismiss notifications when clicked.                       closes: #672646
  * debian/rules:
    - use dpkg-dev 1.16.1 and debhelper 9 hardening support.
    - build with --parallel.
  * debian/compat bumped to 9.
  * debian/control:
    - update debhelper build-dep to 9.
    - add dpkg-dev 1.16.1 build-dep.
    - drop hardening-includes build-dep.
    - update standards version to 3.9.3.
  * debian/xfce4-notifyd.lintian-overrides added, add override for hardening
    checks since we do use hardening build flags.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 15 May 2012 23:04:44 +0200

xfce4-notifyd (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - drop conflicts against notification-daemon{,-xfce} since we stopped
      shipping the same service file.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 06 Aug 2011 11:37:18 +0200

=== debian/control ===
Source: xfce4-notifyd
Section: xfce
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Evgeni Golov <evgeni@debian.org>,
 Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 9), intltool, dpkg-dev (>= 1.16.1),
 libxfce4ui-1-dev, libxfce4util-dev (>= 4.8.0), libdbus-1-dev,
 libdbus-glib-1-dev, exo-utils, libxfconf-0-dev (>= 4.8.0)
Standards-Version: 3.9.3
Homepage: http://spuriousinterrupt.org/projects/xfce4-notifyd
Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/xfce4-notifyd/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/xfce4-notifyd/

Package: xfce4-notifyd
Section: xfce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: notification-daemon
Recommends: libnotify-bin
Description: simple, visually-appealing notification daemon for Xfce
 Xfce4-notifyd is a simple, visually-appealing notification daemon for Xfce
 that implements the Freedesktop.org Desktop Notifications Specification.
 .
 Features:
  * Themable using the GTK+ theming mechanism
  * Visually appealing: rounded corners, shaped windows
  * Supports transparency and fade effects

## xfce4-notifyd 0.2.4

=== debian/changelog ===
xfce4-notifyd (0.2.4-3ubuntu1) vivid; urgency=medium

  * No change rebuild for libxfce4util7

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 09 Mar 2015 19:13:42 -0400

xfce4-notifyd (0.2.4-3) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * debian/control: 
    - Bump strandards-version to 3.9.5
    - Build-depend on dh-autoreconf
  * debian/copyright: Change GPL-2 to GPL-2+
  * debian/rules: Add --with autoreconf
  * Create debian/source/options
  * debian/xfce4-notifyd.lintian-overrides: 
    - Remove unused override: desktop-entry-invalid-category

  [ Yves-Alexis Perez ]
  * debian/control:
    - add build-dep on xfce4-dev-tools for xdt-autogen command.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 17 May 2014 15:47:03 +0200

xfce4-notifyd (0.2.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 23 May 2013 23:15:33 +0200

xfce4-notifyd (0.2.4-1) experimental; urgency=low

  [ Daniel Echeverry ]
  * Add XfceNotifyWindow::summary-bold option.                  closes: #687441
  * debian/control
    + Update homepage field.                                    closes: #685737
    + Remove duplicate section field. (lintian)
  * debian/copyright
    + Update copyright file to DEP5

  [ Evgeni Golov ]
  * New upstream release.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 23 May 2013 21:52:54 +0200

xfce4-notifyd (0.2.3-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - 01_fix-dismiss-notifications and 02_fix-desktop-category dropped,
      included upstream.
  * debian/rules:
    - enable all hardening options.
  * debian/control:
    - add build-dep on libnotify-dev.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 21 Apr 2013 13:37:26 +0200

xfce4-notifyd (0.2.2-3) experimental; urgency=low

  [ Lionel Le Folgoc ]
  * debian/patches:
    - 02_fix-desktop-category.patch: added, let xfce4-notifyd-config appear
      in xfce4-settings 4.9.x/4.10.

  [ Yves-Alexis Perez ]
  * debian/xfce4-notifyd.lintian-overrides: XFCE is now a valid category.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sat, 13 Oct 2012 15:56:05 +0200

=== debian/control ===
Source: xfce4-notifyd
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Evgeni Golov <evgeni@debian.org>,
 Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 9), intltool, dpkg-dev (>= 1.16.1),
 libxfce4ui-1-dev, libxfce4util-dev (>= 4.8.0), libdbus-1-dev,
 libdbus-glib-1-dev, exo-utils, libxfconf-0-dev (>= 4.8.0),
 libnotify-dev (>= 0.7.0), dh-autoreconf, xfce4-dev-tools
Standards-Version: 3.9.5
Homepage: http://goodies.xfce.org/projects/applications/xfce4-notifyd
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-notifyd/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-notifyd/

Package: xfce4-notifyd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: notification-daemon
Recommends: libnotify-bin
Description: simple, visually-appealing notification daemon for Xfce
 Xfce4-notifyd is a simple, visually-appealing notification daemon for Xfce
 that implements the Freedesktop.org Desktop Notifications Specification.
 .
 Features:
  * Themable using the GTK+ theming mechanism
  * Visually appealing: rounded corners, shaped windows
  * Supports transparency and fade effects

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_configure:
	NOCONFIGURE=1 xdt-autogen
	dh_auto_configure

%:
	dh $@ --parallel --with autoreconf

## xfce4-notifyd 0.3.3

=== debian/changelog ===
xfce4-notifyd (0.3.3-2) unstable; urgency=medium

  * debian/patches:
    - 0001-Fix-theming-issues-with-Gtk-3.22 added, cherry-picked from upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 31 Oct 2016 14:07:50 +0100

xfce4-notifyd (0.3.3-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 07 Oct 2016 09:04:15 +0200

xfce4-notifyd (0.3.2-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * Drop patches -- no longer needed.
  * debian/control:
    - Update B-D: Switch to libxfce4ui-2-dev and add libgtk-3-dev.
    - Bump minimal version of xfce libs to 4.12.
    - Bump strandards-version to 3.9.8.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 11 Sep 2016 16:03:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Evgeni Golov <evgeni@debian.org>,
  Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9), intltool, dpkg-dev (>= 1.16.1),
- libxfce4ui-1-dev, libxfce4util-dev (>= 4.8.0), libdbus-1-dev,
- libdbus-glib-1-dev, exo-utils, libxfconf-0-dev (>= 4.8.0),
- libnotify-dev (>= 0.7.0), dh-autoreconf, xfce4-dev-tools
-Standards-Version: 3.9.5
+ libxfce4ui-2-dev, libxfce4util-dev (>= 4.12), libdbus-1-dev,
+ libdbus-glib-1-dev, exo-utils, libxfconf-0-dev (>= 4.12),
+ libnotify-dev (>= 0.7.0), dh-autoreconf, xfce4-dev-tools, libgtk-3-dev (>= 3.20)
+Standards-Version: 3.9.8
 Homepage: http://goodies.xfce.org/projects/applications/xfce4-notifyd
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-notifyd/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-notifyd/

## xfce4-notifyd 0.3.4

=== debian/changelog ===
xfce4-notifyd (0.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - 0001-Fix-theming-issues-with-Gtk-3.22 dropped, included upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 12 Nov 2016 15:48:20 +0100

## xfce4-notifyd 0.3.5

=== debian/changelog ===
xfce4-notifyd (0.3.5-1) unstable; urgency=medium

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 18 Feb 2017 16:08:17 +0100

## xfce4-notifyd 0.3.6

=== debian/changelog ===
xfce4-notifyd (0.3.6-1) unstable; urgency=medium

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 25 Mar 2017 16:45:56 +0100

## xfce4-notifyd 0.3.6-0ubuntu1

=== debian/changelog ===
xfce4-notifyd (0.3.6-0ubuntu1) devel; urgency=medium

  * New upstream bugfix release.
    - Fix memory leaks in log viewer (Xfce bz #13400)
    - Fix a couple of memory leaks in notifyd-config (Xfce bz #13386)
    - Update log toolbar buttons sensitivity (Xfce bz #13365)
    - Fix compilation on Gtk3.14
    - Updated translations.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 21 Mar 2017 22:26:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: xfce4-notifyd
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Evgeni Golov <evgeni@debian.org>,
  Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9), intltool, dpkg-dev (>= 1.16.1),
  libxfce4ui-2-dev, libxfce4util-dev (>= 4.12), libdbus-1-dev,
  libdbus-glib-1-dev, exo-utils, libxfconf-0-dev (>= 4.12),
- libnotify-dev (>= 0.7.0), dh-autoreconf, xfce4-dev-tools, libgtk-3-dev (>= 3.20)
+ libnotify-dev (>= 0.7.0), dh-autoreconf, xfce4-dev-tools, libgtk-3-dev
 Standards-Version: 3.9.8
 Homepage: http://goodies.xfce.org/projects/applications/xfce4-notifyd
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-notifyd/

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_configure:
 	NOCONFIGURE=1 xdt-autogen
-	dh_auto_configure
+	dh_auto_configure -- --enable-maintainer-mode
 
 %:
 	dh $@ --parallel --with autoreconf

## xfce4-notifyd 0.4.0

=== debian/changelog ===
xfce4-notifyd (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.
  * debian/control:
    - update standards version to 4.1.1.
    - add build-dep on libxfce4panel-2.0-dev. 
  * debian/rules:
    - remove .la files before dh_install

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 11 Nov 2017 15:21:36 +0100

=== debian/control ===
Source: xfce4-notifyd
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Evgeni Golov <evgeni@debian.org>,
           Yves-Alexis Perez <corsac@debian.org>,
           Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1),
               exo-utils,
               intltool,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libgtk-3-dev (>= 3.20),
               libnotify-dev (>= 0.7.0),
               libxfce4panel-2.0-dev (>= 4.12),
               libxfce4ui-2-dev,
               libxfce4util-dev (>= 4.12),
               libxfconf-0-dev (>= 4.12),
               xfce4-dev-tools
Standards-Version: 4.1.1
Homepage: http://goodies.xfce.org/projects/applications/xfce4-notifyd
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-notifyd/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-notifyd/

Package: xfce4-notifyd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: notification-daemon
Recommends: libnotify-bin
Description: simple, visually-appealing notification daemon for Xfce
 Xfce4-notifyd is a simple, visually-appealing notification daemon for Xfce
 that implements the Freedesktop.org Desktop Notifications Specification.
 .
 Features:
  * Themable using the GTK+ theming mechanism
  * Visually appealing: rounded corners, shaped windows
  * Supports transparency and fade effects

## xfce4-notifyd 0.4.2

=== debian/changelog ===
xfce4-notifyd (0.4.2-0ubuntu2) bionic; urgency=medium

  * d/patches/lp1763674.patch
    - Fix preferences display of fade out setting (LP: #1763674)

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 14 Apr 2018 06:27:07 -0400

xfce4-notifyd (0.4.2-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 01 Mar 2018 18:16:46 -0500

xfce4-notifyd (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - update standards version to 4.1.2.
  * Migrate to https URL scheme.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 17 Dec 2017 16:24:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfce4-notifyd
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Evgeni Golov <evgeni@debian.org>,
            Yves-Alexis Perez <corsac@debian.org>,
            Lionel Le Folgoc <mrpouit@gmail.com>
@@ -19,10 +20,10 @@
                libxfce4util-dev (>= 4.12),
                libxfconf-0-dev (>= 4.12),
                xfce4-dev-tools
-Standards-Version: 4.1.1
-Homepage: http://goodies.xfce.org/projects/applications/xfce4-notifyd
+Standards-Version: 4.1.2
+Homepage: https://goodies.xfce.org/projects/applications/xfce4-notifyd
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-notifyd/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-notifyd/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-notifyd/
 
 Package: xfce4-notifyd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,11 @@
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+
+override_dh_install:
+	find debian/xfce4-notifyd -name '*.la' -delete
+	dh_install
+
 override_dh_auto_configure:
 	NOCONFIGURE=1 xdt-autogen
 	dh_auto_configure -- --enable-maintainer-mode

## xfce4-notifyd 0.4.3

=== debian/changelog ===
xfce4-notifyd (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3
  * d/control: drop Lionel and Evgeni from uploaders, thanks!
  * d/control: update standards version to 4.2.1
  * d/control: update standards version to 4.3.0
  * update debhelper compat to 10
  * d/xfce4-notifyd.lintian-overrides: add override for
    dbus-session-service-wrong-name

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 28 Dec 2018 13:32:05 +0100

xfce4-notifyd (0.4.2-1) unstable; urgency=medium

  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
  * d/gbp.conf added, following DEP-14
  * New upstream version 0.4.2

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 15 May 2018 21:34:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,9 @@
 Source: xfce4-notifyd
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
-Uploaders: Evgeni Golov <evgeni@debian.org>,
-           Yves-Alexis Perez <corsac@debian.org>,
-           Lionel Le Folgoc <mrpouit@gmail.com>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               dpkg-dev (>= 1.16.1),
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Uploaders: Yves-Alexis Perez <corsac@debian.org>
+Build-Depends: debhelper (>= 10),
                exo-utils,
                intltool,
                libdbus-1-dev,
@@ -20,10 +15,10 @@
                libxfce4util-dev (>= 4.12),
                libxfconf-0-dev (>= 4.12),
                xfce4-dev-tools
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 Homepage: https://goodies.xfce.org/projects/applications/xfce4-notifyd
-Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-notifyd/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-notifyd/
+Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd.git
+Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd
 
 Package: xfce4-notifyd
 Architecture: any

## xfce4-notifyd 0.4.4

=== debian/changelog ===
xfce4-notifyd (0.4.4-1) unstable; urgency=medium

  [ Yves-Alexis Perez ]
  * New upstream version 0.4.4
  * d/control: update standards version to 4.4.0

  [ Unit 193 ]
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat
  * d/control: Drop Build-depends on libdbus-1-dev and libdbus-glib-1-dev.
  * d/README.source, d/s/options: Drop, no longer useful.
  * Trim whitespace from previous changelog entries.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 10 Jul 2019 19:06:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,9 @@
 Priority: optional
 Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 10),
                exo-utils,
                intltool,
-               libdbus-1-dev,
-               libdbus-glib-1-dev,
                libgtk-3-dev (>= 3.20),
                libnotify-dev (>= 0.7.0),
                libxfce4panel-2.0-dev (>= 4.12),
@@ -15,7 +13,7 @@
                libxfce4util-dev (>= 4.12),
                libxfconf-0-dev (>= 4.12),
                xfce4-dev-tools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://goodies.xfce.org/projects/applications/xfce4-notifyd
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,5 @@
 	find debian/xfce4-notifyd -name '*.la' -delete
 	dh_install
 
-override_dh_auto_configure:
-	NOCONFIGURE=1 xdt-autogen
-	dh_auto_configure -- --enable-maintainer-mode
-
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@

=== debian/watch ===
version=3
https://archive.xfce.org/src/apps/xfce4-notifyd/([\d\.]+)/ \
	xfce4-notifyd-([\d\.]+)\.tar\.(?:gz|bz2)

## xfce4-notifyd 0.6.1

=== debian/changelog ===
xfce4-notifyd (0.6.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Update standards version to 4.4.1, no changes needed.

  [ Mateusz Łukasik ]
  * New upstream version 0.6.0
  * d/control: update standards version to 4.5.0

  [ Unit 193 ]
  * New upstream version 0.6.1.
  * d/watch: Use uscan special strings.
  * d/control:
    - Update homepage, goodies.xfce.org → docs.xfce.org.
    - R³: no.

 -- Unit 193 <unit193@debian.org>  Mon, 29 Jun 2020 21:10:19 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper-compat (= 12),
                exo-utils,
                intltool,
                libgtk-3-dev (>= 3.20),
@@ -13,8 +13,9 @@
                libxfce4util-dev (>= 4.12),
                libxfconf-0-dev (>= 4.12),
                xfce4-dev-tools
-Standards-Version: 4.4.0
-Homepage: https://goodies.xfce.org/projects/applications/xfce4-notifyd
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Homepage: https://docs.xfce.org/apps/notifyd/start
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd

## xfce4-notifyd 0.6.2

=== debian/changelog ===
xfce4-notifyd (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.2.
  * d/rules: Allow dbus launch.
  * d/p/allow_autostart_and_dbus.patch:
    - Add patch to allow dbus launch and autostart.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Fri, 11 Dec 2020 21:49:50 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libxfconf-0-dev (>= 4.12),
                xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://docs.xfce.org/apps/notifyd/start
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-dbus-start-daemon
 
 override_dh_install:
 	find debian/xfce4-notifyd -name '*.la' -delete

## xfce4-notifyd 0.6.3

=== debian/changelog ===
xfce4-notifyd (0.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.3.
  * d/control: Bump DH compat to 13.
  * d/rules: Drop '--as-needed', default in stable now.
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Tue, 15 Feb 2022 19:24:35 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                exo-utils,
                intltool,
                libgtk-3-dev (>= 3.20),
@@ -14,7 +14,7 @@
                libxfconf-0-dev (>= 4.12),
                xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://docs.xfce.org/apps/notifyd/start
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,-z,defs
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 override_dh_auto_configure:

## xfce4-notifyd 0.6.4

=== debian/changelog ===
xfce4-notifyd (0.6.4-1ubuntu1) devel; urgency=medium

  * d/p/0001-Fix-segfault-crash.patch:
    - Grab an upstream commit to fix a segfault under certain conditions.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 12 Sep 2022 01:36:42 -0400

xfce4-notifyd (0.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.4.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Sat, 03 Sep 2022 22:51:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfce4-notifyd
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                exo-utils,
@@ -14,7 +15,7 @@
                libxfconf-0-dev (>= 4.12),
                xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://docs.xfce.org/apps/notifyd/start
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd

## xfce4-notifyd 0.6.5

=== debian/changelog ===
xfce4-notifyd (0.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.5.
  * d/docs, d/rules: Opt-out of trimmed changelogs, install NEWS as changelog.

 -- Unit 193 <unit193@debian.org>  Sat, 17 Dec 2022 03:36:10 -0500

## xfce4-notifyd 0.7.2

=== debian/changelog ===
xfce4-notifyd (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.2.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Mon, 30 Jan 2023 04:09:02 -0500

## xfce4-notifyd 0.7.3

=== debian/changelog ===
xfce4-notifyd (0.7.3-1~bpo22.04) jammy; urgency=medium

  * No-change backport to jammy.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 08 Feb 2023 00:11:29 -0500

xfce4-notifyd (0.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.3.

 -- Unit 193 <unit193@debian.org>  Thu, 02 Feb 2023 04:09:59 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xfce4-notifyd
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                exo-utils,
@@ -15,7 +14,7 @@
                libxfconf-0-dev (>= 4.12),
                xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://docs.xfce.org/apps/notifyd/start
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd

## xfce4-notifyd 0.8.2

=== debian/changelog ===
xfce4-notifyd (0.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8.2.
    - Refresh patch.
  * d/control: Replace intltool with gettext, add B-D on libsqlite3-dev.
  * d/rules: Use execute_after_auto_install instead of override_dh_install.
  * d/docs: README → README.md.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Jun 2023 03:01:38 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                exo-utils,
-               intltool,
+               gettext,
                libgtk-3-dev (>= 3.20),
                libnotify-dev (>= 0.7.0),
+               libsqlite3-dev,
                libxfce4panel-2.0-dev (>= 4.12),
                libxfce4ui-2-dev,
                libxfce4util-dev (>= 4.12),

## xfce4-notifyd 0.9.2

=== debian/changelog ===
xfce4-notifyd (0.9.2-2) unstable; urgency=medium

  * d/control: lower xfce4-dev-tools b-d to 4.18.1

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 18 Oct 2023 14:06:13 +0200

xfce4-notifyd (0.9.2-1) experimental; urgency=medium

  * New upstream version 0.9.2
  * d/patches: drop patch, doesn't apply to new release
  * d/control: use 4.19 version of xfce4-dev-tools
  * drop unused lintian overrides
  * d/patch: add patch to fix icons directory names
  * drop lintian overrides completely

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 04 Oct 2023 11:00:45 +0200

## xfce4-notifyd 0.9.4

=== debian/changelog ===
xfce4-notifyd (0.9.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.4.
    - Drop patch applied upstream.

 -- Unit 193 <unit193@debian.org>  Mon, 18 Mar 2024 02:36:09 -0400

xfce4-notifyd (0.9.3-2) unstable; urgency=medium

  * d/patches: edit the patch fixing icons directory

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 09 Feb 2024 09:39:03 +0100

xfce4-notifyd (0.9.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.3.

 -- Unit 193 <unit193@debian.org>  Thu, 09 Nov 2023 20:23:08 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libxfce4ui-2-dev,
                libxfce4util-dev (>= 4.12),
                libxfconf-0-dev (>= 4.12),
-               xfce4-dev-tools
+               xfce4-dev-tools (>= 4.18.1)
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://docs.xfce.org/apps/notifyd/start

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-dbus-start-daemon

execute_after_dh_install:
	find debian/xfce4-notifyd -name '*.la' -delete

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS

## xfce4-notifyd 0.9.6

=== debian/changelog ===
xfce4-notifyd (0.9.6-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 20 Dec 2024 20:30:08 -0800

xfce4-notifyd (0.9.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.6.
  * d/control: Drop version constraints no longer needed.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Aug 2024 02:08:35 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: xfce4-notifyd
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                exo-utils,
                gettext,
-               libgtk-3-dev (>= 3.20),
-               libnotify-dev (>= 0.7.0),
+               libgtk-3-dev,
+               libnotify-dev,
                libsqlite3-dev,
-               libxfce4panel-2.0-dev (>= 4.12),
+               libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
-               libxfce4util-dev (>= 4.12),
-               libxfconf-0-dev (>= 4.12),
+               libxfce4util-dev,
+               libxfconf-0-dev,
                xfce4-dev-tools (>= 4.18.1)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://docs.xfce.org/apps/notifyd/start
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-notifyd

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,8 @@
 
 override_dh_installchangelogs:
 	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## xfce4-notifyd 0.9.7

=== debian/changelog ===
xfce4-notifyd (0.9.7-2) unstable; urgency=medium

  * d/control: add build-dep on libgtk-layer-shell-dev to fix crash under
    Wayland (Closes: #1092620)

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 03 Mar 2025 08:55:52 +0100

xfce4-notifyd (0.9.7-1) unstable; urgency=medium

  * New upstream version 0.9.7

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 17 Feb 2025 11:53:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: xfce4-notifyd
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                exo-utils,
                gettext,
                libgtk-3-dev,
+               libgtk-layer-shell-dev [linux-any],
                libnotify-dev,
                libsqlite3-dev,
                libxfce4panel-2.0-dev,
